source: patches/tar-1.23-man-1.patch @ df4f9ca

clfs-1.2clfs-2.1clfs-3.0.0-systemdclfs-3.0.0-sysvinitsystemdsysvinit
Last change on this file since df4f9ca was c5dbf71, checked in by Joe Ciccone <jciccone@…>, 14 years ago

Removed the tar new compressors patch and added a new man page patch.

  • Property mode set to 100644
File size: 19.4 KB
  • doc/Makefile.am

    Submitted By: Joe Ciccone <jciccone@gmail.com>
    Date: 2010-08-08
    Initial Package Version: 1.22
    Origin: Debian
    Upstream Status: Unknown
    Description: This patch adds a man page for tar generated by the perl script
                 from debian.
    
    diff -Naur tar-1.23.orig/doc/Makefile.am tar-1.23/doc/Makefile.am
    old new  
    1717## along with this program; if not, write to the Free Software Foundation,
    1818## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
    1919
     20man_MANS = tar.1
    2021info_TEXINFOS = tar.texi
    2122tar_TEXINFOS = \
    2223 dumpdir.texi\
  • doc/Makefile.in

    diff -Naur tar-1.23.orig/doc/Makefile.in tar-1.23/doc/Makefile.in
    old new  
    165165MAKEINFOHTML = $(MAKEINFO) --html
    166166AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
    167167DVIPS = dvips
    168 am__installdirs = "$(DESTDIR)$(infodir)"
     168am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
    169169am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    170170am__vpath_adj = case $$p in \
    171171    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     
    187187am__base_list = \
    188188  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    189189  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
     190man1dir = $(mandir)/man1
     191NROFF = nroff
     192MANS = $(man_MANS)
    190193DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    191194ACLOCAL = @ACLOCAL@
    192195ALLOCA = @ALLOCA@
     
    827831top_build_prefix = @top_build_prefix@
    828832top_builddir = @top_builddir@
    829833top_srcdir = @top_srcdir@
     834man_MANS = tar.1
    830835info_TEXINFOS = tar.texi
    831836tar_TEXINFOS = \
    832837 dumpdir.texi\
     
    10491054          echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
    10501055          rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
    10511056        done
     1057install-man1: $(man_MANS)
     1058        @$(NORMAL_INSTALL)
     1059        test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
     1060        @list=''; test -n "$(man1dir)" || exit 0; \
     1061        { for i in $$list; do echo "$$i"; done; \
     1062        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
     1063          sed -n '/\.1[a-z]*$$/p'; \
     1064        } | while read p; do \
     1065          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
     1066          echo "$$d$$p"; echo "$$p"; \
     1067        done | \
     1068        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
     1069              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
     1070        sed 'N;N;s,\n, ,g' | { \
     1071        list=; while read file base inst; do \
     1072          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
     1073            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
     1074            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
     1075          fi; \
     1076        done; \
     1077        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
     1078        while read files; do \
     1079          test -z "$$files" || { \
     1080            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
     1081            $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
     1082        done; }
     1083
     1084uninstall-man1:
     1085        @$(NORMAL_UNINSTALL)
     1086        @list=''; test -n "$(man1dir)" || exit 0; \
     1087        files=`{ for i in $$list; do echo "$$i"; done; \
     1088        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
     1089          sed -n '/\.1[a-z]*$$/p'; \
     1090        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
     1091              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
     1092        test -z "$$files" || { \
     1093          echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
     1094          cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
    10521095tags: TAGS
    10531096TAGS:
    10541097
     
    10571100
    10581101
    10591102distdir: $(DISTFILES)
     1103        @list='$(MANS)'; if test -n "$$list"; then \
     1104          list=`for p in $$list; do \
     1105            if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
     1106            if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
     1107          if test -n "$$list" && \
     1108            grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
     1109            echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
     1110            grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
     1111            echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
     1112            echo "       typically \`make maintainer-clean' will remove them" >&2; \
     1113            exit 1; \
     1114          else :; fi; \
     1115        else :; fi
    10601116        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    10611117        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    10621118        list='$(DISTFILES)'; \
     
    10911147          dist-info
    10921148check-am: all-am
    10931149check: check-am
    1094 all-am: Makefile $(INFO_DEPS)
     1150all-am: Makefile $(INFO_DEPS) $(MANS)
    10951151installdirs:
    1096         for dir in "$(DESTDIR)$(infodir)"; do \
     1152        for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
    10971153          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
    10981154        done
    10991155install: install-am
     
    11411197
    11421198info-am: $(INFO_DEPS)
    11431199
    1144 install-data-am: install-info-am
     1200install-data-am: install-info-am install-man
    11451201
    11461202install-dvi: install-dvi-am
    11471203
     
    12151271            install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
    12161272          done; \
    12171273        else : ; fi
    1218 install-man:
     1274install-man: install-man1
    12191275
    12201276install-pdf: install-pdf-am
    12211277
     
    12631319ps-am: $(PSS)
    12641320
    12651321uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
    1266         uninstall-pdf-am uninstall-ps-am
     1322        uninstall-man uninstall-pdf-am uninstall-ps-am
     1323
     1324uninstall-man: uninstall-man1
    12671325
    12681326.MAKE: install-am install-strip
    12691327
     
    12721330        dvi-am html html-am info info-am install install-am \
    12731331        install-data install-data-am install-dvi install-dvi-am \
    12741332        install-exec install-exec-am install-html install-html-am \
    1275         install-info install-info-am install-man install-pdf \
    1276         install-pdf-am install-ps install-ps-am install-strip \
    1277         installcheck installcheck-am installdirs maintainer-clean \
    1278         maintainer-clean-aminfo maintainer-clean-generic \
    1279         maintainer-clean-vti mostlyclean mostlyclean-aminfo \
    1280         mostlyclean-generic mostlyclean-vti pdf pdf-am ps ps-am \
    1281         uninstall uninstall-am uninstall-dvi-am uninstall-html-am \
    1282         uninstall-info-am uninstall-pdf-am uninstall-ps-am
     1333        install-info install-info-am install-man install-man1 \
     1334        install-pdf install-pdf-am install-ps install-ps-am \
     1335        install-strip installcheck installcheck-am installdirs \
     1336        maintainer-clean maintainer-clean-aminfo \
     1337        maintainer-clean-generic maintainer-clean-vti mostlyclean \
     1338        mostlyclean-aminfo mostlyclean-generic mostlyclean-vti pdf \
     1339        pdf-am ps ps-am uninstall uninstall-am uninstall-dvi-am \
     1340        uninstall-html-am uninstall-info-am uninstall-man \
     1341        uninstall-man1 uninstall-pdf-am uninstall-ps-am
    12831342
    12841343
    12851344header.texi: $(top_srcdir)/src/tar.h
  • doc/tar.1

    diff -Naur tar-1.23.orig/doc/tar.1 tar-1.23/doc/tar.1
    old new  
     1.\" generated by script on Sun Aug  8 10:29:46 2010
     2.Dd Aug  8, 2010
     3.Dt TAR 1
     4.Sh NAME
     5.Nm tar
     6.Nd The GNU version of the tar archiving utility
     7.Sh SYNOPSIS
     8.Nm tar
     9.Oo Fl Oc Cm A Fl \-catenate \-concatenate Cm \||\| c Fl \-create Cm \||\| d Fl \-diff \-compare Cm \||\| Fl \-delete Cm \||\| r Fl \-append Cm \||\| t Fl \-list Cm \||\| Fl \-test\-label Cm \||\| u Fl \-update Cm \||\| x Fl \-extract \-get
     10.Op Ar options
     11.Op Ar pathname ...
     12.Sh DESCRIPTION
     13.Nm Tar
     14stores and extracts files from a tape or disk archive.
     15.Pp
     16The first argument to
     17tar
     18should be a function; either one of the letters
     19.Cm Acdrtux ,
     20or one of the long function names.
     21A function letter need not be prefixed with ``\-'', and may be combined
     22with other single-letter options.
     23A long function name must be prefixed with
     24.Cm \\-\\- .
     25Some options take a parameter; with the single-letter form
     26these must be given as separate arguments.
     27With the long form, they may be given by appending
     28.Cm = Ns Ar value
     29to the option.
     30.Sh FUNCTION LETTERS
     31Main operation mode:
     32.Bl -tag -width flag
     33.It Fl A , Fl \-catenate , Fl \-concatenate
     34append tar files to an archive
     35.It Fl c , Fl \-create
     36create a new archive
     37.It Fl d , Fl \-diff , Fl \-compare
     38find differences between archive and file system
     39.It Fl \-delete
     40delete from the archive (not on mag tapes!)
     41.It Fl r , Fl \-append
     42append files to the end of an archive
     43.It Fl t , Fl \-list
     44list the contents of an archive
     45.It Fl \-test\-label
     46test the archive volume label and exit
     47.It Fl u , Fl \-update
     48only append files newer than copy in archive
     49.It Fl x , Fl \-extract , Fl \-get
     50extract files from an archive
     51.El
     52.Sh OTHER OPTIONS
     53Operation modifiers:
     54.Bl -tag -width flag
     55.It \-[0\-7][lmh]
     56specify drive and density
     57.It Fl a , Fl \-auto\-compress
     58use archive suffix to determine the compression program
     59.It Fl \-add\-file Ns \= Ns Ar FILE
     60add given FILE to the archive (useful if its name starts with a dash)
     61.It Fl \-anchored
     62patterns match file name start
     63.It Fl \-no\-anchored
     64patterns match after any `/' (default for exclusion)
     65.It Fl \-atime\-preserve
     66preserve access times on dumped files, either by restoring the times
     67.It Fl \-no\-auto\-compress
     68do not use archive suffix to determine the compression program
     69.It Fl b , Fl \-blocking\-factor Ar BLOCKS
     70BLOCKS x 512 bytes per record
     71.It Fl B , Fl \-read\-full\-records
     72reblock as we read (for 4.2BSD pipes)
     73.It Fl \-backup
     74backup before removal, choose version CONTROL
     75.It Fl C , Fl \-directory Ar DIR
     76change to directory DIR
     77.It Fl \-check\-device
     78check device numbers when creating incremental archives (default)
     79.It Fl \-no\-check\-device
     80do not check device numbers when creating incremental archives
     81.It Fl \-checkpoint
     82display progress messages every NUMBERth record (default 10)
     83.It Fl \-checkpoint\-action Ns \= Ns Ar ACTION
     84execute ACTION on each checkpoint
     85.It Fl \-delay\-directory\-restore
     86delay setting modification times and permissions of extracted
     87.It Fl \-no\-delay\-directory\-restore
     88cancel the effect of --delay-directory-restore option
     89.It Fl \-exclude Ns \= Ns Ar PATTERN
     90exclude files, given as a PATTERN
     91.It Fl \-exclude\-backups
     92exclude backup and lock files
     93.It Fl \-exclude\-caches
     94exclude contents of directories containing CACHEDIR.TAG,
     95.It Fl \-exclude\-caches\-all
     96exclude directories containing CACHEDIR.TAG
     97.It Fl \-exclude\-caches\-under
     98exclude everything under directories containing CACHEDIR.TAG
     99.It Fl \-exclude\-tag Ns \= Ns Ar FILE
     100exclude contents of directories containing FILE, except
     101.It Fl \-exclude\-tag\-all Ns \= Ns Ar FILE
     102exclude directories containing FILE
     103.It Fl \-exclude\-tag\-under Ns \= Ns Ar FILE
     104exclude everything under directories containing FILE
     105.It Fl \-exclude\-vcs
     106exclude version control system directories
     107.It Fl f , Fl \-file Ar ARCHIVE
     108use archive file or device ARCHIVE
     109.It Fl F , Fl \-info\-script , Fl \-new\-volume\-script Ar NAME
     110run script at end of each tape (implies -M)
     111.It Fl \-force\-local
     112archive file is local even if it has a colon
     113.It Fl g , Fl \-listed\-incremental Ar FILE
     114handle new GNU-format incremental backup
     115.It Fl G , Fl \-incremental
     116handle old GNU-format incremental backup
     117.It Fl \-group Ns \= Ns Ar NAME
     118force NAME as group for added files
     119.It Fl h , Fl \-dereference
     120follow symlinks; archive and dump the files they point to
     121.It Fl H , Fl \-format Ar FORMAT
     122create archive of the given formatFORMAT is one of the following:
     123.Bl -tag -width flag
     124.It Fl \-format=gnu
     125GNU tar 1.13.x format
     126.It Fl \-format=oldgnu
     127GNU format as per tar <= 1.12
     128.It Fl \-format=pax
     129POSIX 1003.1-2001 (pax) format
     130.It Fl \-format=posix
     131same as pax
     132.It Fl \-format=ustar
     133POSIX 1003.1-1988 (ustar) format
     134.It Fl \-format=v7
     135old V7 tar format
     136.El
     137.It Fl \-hard\-dereference
     138follow hard links; archive and dump the files they refer to
     139.It Fl i , Fl \-ignore\-zeros
     140ignore zeroed blocks in archive (means EOF)
     141.It Fl I , Fl \-use\-compress\-program Ar PROG
     142filter through PROG (must accept -d)
     143.It Fl \-ignore\-case
     144ignore case
     145.It Fl \-no\-ignore\-case
     146case sensitive matching (default)
     147.It Fl \-ignore\-command\-error
     148ignore exit codes of children
     149.It Fl \-no\-ignore\-command\-error
     150treat non-zero exit codes of children as error
     151.It Fl \-ignore\-failed\-read
     152do not exit with nonzero on unreadable files
     153.It Fl \-index\-file Ns \= Ns Ar FILE
     154send verbose output to FILE
     155.It Fl j , Fl \-bzip2
     156
     157.It Fl J , Fl \-xz
     158
     159.It Fl k , Fl \-keep\-old\-files
     160don't replace existing files when extracting
     161.It Fl K , Fl \-starting\-file Ar MEMBER-NAME
     162begin at member MEMBER-NAME in the archive
     163.It Fl \-keep\-newer\-files
     164don't replace existing files that are newer than their archive copies
     165.It Fl l , Fl \-check\-links
     166print a message if not all links are dumped
     167.It Fl L , Fl \-tape\-length Ar NUMBER
     168change tape after writing NUMBER x 1024 bytes
     169.It Fl \-level Ns \= Ns Ar NUMBER
     170dump level for created listed-incremental archive
     171.It Fl \-lzip
     172
     173.It Fl \-lzma
     174
     175.It Fl \-lzop
     176
     177.It Fl m , Fl \-touch
     178don't extract file modified time
     179.It Fl M , Fl \-multi\-volume
     180create/list/extract multi-volume archive
     181.It Fl \-mode Ns \= Ns Ar CHANGES
     182force (symbolic) mode CHANGES for added files
     183.It Fl \-mtime Ns \= Ns Ar DATE-OR-FILE
     184set mtime for added files from DATE-OR-FILE
     185.It Fl n , Fl \-seek
     186archive is seekable
     187.It Fl N , Fl \-newer , Fl \-after\-date Ar DATE-OR-FILE
     188only store files newer than DATE-OR-FILE
     189.It Fl \-newer\-mtime Ns \= Ns Ar DATE
     190compare date and time when data changed only
     191.It Fl \-null
     192-T reads null-terminated names, disable -C
     193.It Fl \-no\-null
     194disable the effect of the previous --null option
     195.It Fl \-numeric\-owner
     196always use numbers for user/group names
     197.It Fl O , Fl \-to\-stdout
     198extract files to standard output
     199.It Fl \-occurrence
     200process only the NUMBERth occurrence of each file in the archive;
     201.It Fl \-old\-archive , Fl \-portability
     202same as --format=v7
     203.It Fl \-one\-file\-system
     204stay in local file system when creating archive
     205.It Fl \-overwrite
     206overwrite existing files when extracting
     207.It Fl \-overwrite\-dir
     208overwrite metadata of existing directories when extracting (default)
     209.It Fl \-no\-overwrite\-dir
     210preserve metadata of existing directories
     211.It Fl \-owner Ns \= Ns Ar NAME
     212force NAME as owner for added files
     213.It Fl p , Fl \-preserve\-permissions , Fl \-same\-permissions
     214extract information about file permissions (default for superuser)
     215.It Fl P , Fl \-absolute\-names
     216don't strip leading `/'s from file names
     217.It Fl \-pax\-option Ns \= Ns Ar keyword[[:]=value][,keyword[[:]=value]]...
     218control pax keywords
     219.It Fl \-posix
     220same as --format=posix
     221.It Fl \-preserve
     222same as both -p and -s
     223.It Fl \-quote\-chars Ns \= Ns Ar STRING
     224additionally quote characters from STRING
     225.It Fl \-no\-quote\-chars Ns \= Ns Ar STRING
     226disable quoting for characters from STRING
     227.It Fl \-quoting\-style Ns \= Ns Ar STYLE
     228set name quoting style; see below for valid STYLE values
     229.It Fl R , Fl \-block\-number
     230show block number within archive with each message
     231.It Fl \-record\-size Ns \= Ns Ar NUMBER
     232NUMBER of bytes per record, multiple of 512
     233.It Fl \-recursion
     234recurse into directories (default)
     235.It Fl \-no\-recursion
     236avoid descending automatically in directories
     237.It Fl \-recursive\-unlink
     238empty hierarchies prior to extracting directory
     239.It Fl \-remove\-files
     240remove files after adding them to the archive
     241.It Fl \-restrict
     242disable use of some potentially harmful options
     243.It Fl \-rmt\-command Ns \= Ns Ar COMMAND
     244use given rmt COMMAND instead of rmt
     245.It Fl \-rsh\-command Ns \= Ns Ar COMMAND
     246use remote COMMAND instead of rsh
     247.It Fl s , Fl \-preserve\-order , Fl \-same\-order
     248sort names to extract to match archive
     249.It Fl S , Fl \-sparse
     250handle sparse files efficiently
     251.It Fl \-same\-owner
     252try extracting files with the same ownership as exists in the archive (default for superuser)
     253.It Fl \-no\-same\-owner
     254extract files as yourself (default for ordinary users)
     255.It Fl \-no\-same\-permissions
     256apply the user's umask when extracting permissions from the archive (default for ordinary users)
     257.It Fl \-no\-seek
     258archive is not seekable
     259.It Fl \-show\-defaults
     260show tar defaults
     261.It Fl \-show\-omitted\-dirs
     262when listing or extracting, list each directory that does not match search criteria
     263.It Fl \-show\-transformed\-names , Fl \-show\-stored\-names
     264show file or archive names after transformation
     265.It Fl \-sparse\-version Ns \= Ns Ar MAJOR[.MINOR]
     266set version of the sparse format to use (implies --sparse)
     267.It Fl \-strip\-components Ns \= Ns Ar NUMBER
     268strip NUMBER leading components from file names on extraction
     269.It Fl \-suffix Ns \= Ns Ar STRING
     270backup before removal, override usual suffix ('~' unless overridden by environment variable SIMPLE_BACKUP_SUFFIX)
     271.It Fl T , Fl \-files\-from Ar FILE
     272get names to extract or create from FILE
     273.It Fl \-to\-command Ns \= Ns Ar COMMAND
     274pipe extracted files to another program
     275.It Fl \-totals
     276print total bytes after processing the archive;
     277.It Fl \-transform , Fl \-xform Ar EXPRESSION
     278use sed replace EXPRESSION to transform file names
     279.It Fl U , Fl \-unlink\-first
     280remove each file prior to extracting over it
     281.It Fl \-unquote
     282unquote filenames read with -T (default)
     283.It Fl \-no\-unquote
     284do not unquote filenames read with -T
     285.It Fl \-utc
     286print file modification dates in UTC
     287.It Fl v , Fl \-verbose
     288verbosely list files processed
     289.It Fl V , Fl \-label Ar TEXT
     290create archive with volume name TEXT; at list/extract time, use TEXT as a globbing pattern for volume name
     291.It Fl \-volno\-file Ns \= Ns Ar FILE
     292use/update the volume number in FILE
     293.It Fl w , Fl \-interactive , Fl \-confirmation
     294ask for confirmation for every action
     295.It Fl W , Fl \-verify
     296attempt to verify the archive after writing it
     297.It Fl \-warning Ns \= Ns Ar KEYWORD
     298warning control
     299.It Fl \-wildcards
     300use wildcards (default for exclusion)
     301.It Fl \-wildcards\-match\-slash
     302wildcards match `/' (default for exclusion)
     303.It Fl \-no\-wildcards\-match\-slash
     304wildcards do not match `/'
     305.It Fl \-no\-wildcards
     306verbatim string matching
     307.It Fl X , Fl \-exclude\-from Ar FILE
     308exclude patterns listed in FILE
     309.It Fl z , Fl \-gzip , Fl \-gunzip Fl \-ungzip
     310
     311.It Fl Z , Fl \-compress , Fl \-uncompress
     312
     313.El
     314.Sh ENVIRONMENT
     315The behavior of tar is controlled by the following environment variables,
     316among others:
     317.Bl -tag -width Ds
     318.It Ev SIMPLE_BACKUP_SUFFIX
     319Backup prefix to use when extracting, if
     320.Fl \-suffix
     321is not specified.
     322The backup suffix defaults to `~' if neither is specified.
     323.It Ev TAR_OPTIONS
     324Options to prepend to those specified on the command line, separated by
     325whitespace.  Embedded backslashes may be used to escape whitespace or
     326backslashes within an option.
     327.It Ev TAPE
     328Device or file to use for the archive if
     329.Fl \-file
     330is not specified.
     331If this environment variable is unset, use stdin or stdout instead.
     332.El
     333.Sh EXAMPLES
     334Create archive.tar from files foo and bar.
     335.Bd -literal -offset indent -compact
     336tar \-cf archive.tar foo bar
     337.Ed
     338List all files in archive.tar verbosely.
     339.Bd -literal -offset indent -compact
     340tar \-tvf archive.tar
     341.Ed
     342Extract all files from archive.tar.
     343.Bd -literal -offset indent -compact
     344tar \-xf archive.tar
     345.Ed
     346.Sh SEE ALSO
     347.\" libarchive
     348.Xr tar 5 ,
     349.\" man-pages
     350.Xr symlink 7 ,
     351.Xr rmt 8
     352.Sh HISTORY
     353The
     354.Nm tar
     355command appeared in
     356.At v7 .
     357.Sh BUGS
     358The GNU folks, in general, abhor man pages, and create info documents instead.
     359Unfortunately, the info document describing tar is licensed under the GFDL with
     360invariant cover texts, which makes it impossible to include any text
     361from that document in this man page.
     362Most of the text in this document was automatically extracted from the usage
     363text in the source.
     364It may not completely describe all features of the program.
Note: See TracBrowser for help on using the repository browser.